
clc;
clear all;
close all;

include_variables;

preprocessor;          % Preprocessing

Assemble;              % Loops over all the elements & assembles the global  
                       % matrix. It also creates the sparse format of the 
                       % stiffness matrix
 
[d,r] = NodalSoln(K ,f, debc, ebcVals); % Apply essential boundary conditions,  
                                        % solve for displacements d, and then 
                                        % compute reactions forces r 


postprocessor;                          % Postprocessor

