
function PlotBeam;
include_variables;

% It plots the beam to verify that you entered the correct mesh

figure(1)
    
for i = 1:nel
    XX = [Nodes(Elems(1,i)) Nodes(Elems(2,i))  Nodes(Elems(1,i)) ];
    YY = [0               0           0 ];
    plot(XX,YY);hold on;

    plot(XX,YY , 'ko');hold on;

    text(XX(1),YY(1),sprintf('%0.5g',Elems(1,i)),...
        'HorizontalAlignment','center','VerticalAlignment','top');
    text(XX(2),YY(2),sprintf('%0.5g',Elems(2,i)),...
        'HorizontalAlignment','center','VerticalAlignment','top');

end

title('Beam Plot');
