
function preprocessor;

include_variables;

% Proprocessing includs entering input data, creating and discretizing the
% domain into finite elements (nodes and elements), etc. 

ndof = 2;              % degrees-of-freedom per node
                       % the first degrees-of-freedom is vertical displacsment
                       % the second degrees-of-freedom is angle

InputGrid;             % Sets up the mesh: Required your selected information for 
                       % elements, nodes, element connectivity
                       
PlotBeam;                       

neq  = nno*ndof;       % number of equations 

f = zeros(neq,1);      % initialize nodal force vector
d = zeros(neq,1);      % initialize nodal solution vector

I = zeros(nen*neq,1);  % initialize the triplet for assembling the sparse matrix. 
J = zeros(nen*neq,1);  % We assume that the max number of nonzero entries in nen*neq
X = zeros(nen*neq,1);

ntriplets = 0;

InputData;             % Here you need to add your problem dependent input 
                       % data (loads, Young's modulus, area of truss
                       % elements, etc.)